<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;
use App\Models\Investment;
use App\Models\User;
use App\Traits\GlobalModelEvents;

class Withdrawal extends Model
{
    use HasFactory, Notifiable, GlobalModelEvents;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'user_id',
        'amount',
        'charge',
        'type',
        'status',
    ];

    public function user(){
        return $this->belongsTo(User::class);
    }

    public function investment(){
        return $this->belongsTo(Investment::class);
    }
    
}
